Poll

Who is being stubborn?

Galen
0 (0%)
Pavroo
0 (0%)
both
0 (0%)
neither
0 (0%)

Total Members Voted: 0

Voting closed: May 15, 2015, 04:51:13 pm

Author Topic: upgrade path stuck with errors, seg faults, sudo sparky-aptus  (Read 2099 times)

Offline galen

  • Jr. Member
  • **
  • Posts: 59
  • A Bright, Humanist, Skeptic
I've been wondering why my sparky installs are not upgrading.

sudo sparky-aptus
starts up but causes a seg fault

/usr/lib/sparky-aptus/bin/update: line 24:  3872 Segmentation fault      x-terminal-emulator -e "apt-get update"

and
fix broken packages by APT
does report errors in the terminal but I can't capture them in time

sudo dpkg --configure -a
dpkg: dependency problems prevent configuration of lxde:
 lxde depends on lxsession-edit; however:
  Package lxsession-edit is not installed.

dpkg: error processing package lxde (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 lxde

it wants
sudo apt-get install lxsession-edit
but it errors
...
Preparing to unpack .../lxsession_0.5.1-2_i386.deb ...
Unpacking lxsession (0.5.1-2) over (0.4.9.2-1+siduction2) ...
dpkg: error processing archive /var/cache/apt/archives/lxsession_0.5.1-2_i386.deb (--unpack):
 trying to overwrite '/usr/share/locale/sr@latin/LC_MESSAGES/lxsession.mo', which is also in package lxsession-data 0.4.9.2-1+siduction2
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/lxsession_0.5.1-2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

any ideas how to fix stuck upgrade path?




XMPP: galen@jabber.org
PGP/GPG: C938FD97

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1456
    • SparkyLinux
Re: upgrade path stuck with errors, seg faults, sudo sparky-aptus
« Reply #1 on: April 28, 2015, 07:52:34 pm »
The problem been solved on our forums already and it happens time ago between Sparky 3.5 and 3.6.
Remove all packages with "siduction" in the name even it will remove some lxde packages (better to switch to openbox before).
Then refresh package list and install current lxde packages.

It solves lxsession and lxde packages problem, try aptus after and let me know is still something wrong.
Nothing is easy as it looks.

Offline galen

  • Jr. Member
  • **
  • Posts: 59
  • A Bright, Humanist, Skeptic
Re: upgrade path stuck with errors, seg faults, sudo sparky-aptus
« Reply #2 on: April 28, 2015, 09:38:21 pm »
thanks,

siduction is not found under synaptic
nor
locate siduction
XMPP: galen@jabber.org
PGP/GPG: C938FD97

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1456
    • SparkyLinux
Re: upgrade path stuck with errors, seg faults, sudo sparky-aptus
« Reply #3 on: April 29, 2015, 01:44:15 am »
Search: 'lxde', 'lxpolkit' and 'lxsession' with 'siduction' in their names on the end.
Nothing is easy as it looks.

Offline galen

  • Jr. Member
  • **
  • Posts: 59
  • A Bright, Humanist, Skeptic
Re: upgrade path stuck with errors, seg faults, sudo sparky-aptus
« Reply #4 on: April 29, 2015, 03:43:25 pm »
nothing found

my rolling distro has come to stop.
3 of them
XMPP: galen@jabber.org
PGP/GPG: C938FD97

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1456
    • SparkyLinux
Re: upgrade path stuck with errors, seg faults, sudo sparky-aptus
« Reply #5 on: April 29, 2015, 03:52:18 pm »
Can't be.
As you posted before:
Quote
trying to overwrite '/usr/share/locale/sr@latin/LC_MESSAGES/lxsession.mo', which is also in package lxsession-data 0.4.9.2-1+siduction2
there is package called 'lxsession-data 0.4.9.2-1+siduction2' installed in your system for sure.
Have a look here too:
http://sparkylinux.org/forum/index.php/topic,2701.msg4336.html#msg4336
« Last Edit: April 29, 2015, 03:54:42 pm by pavroo »
Nothing is easy as it looks.

Offline galen

  • Jr. Member
  • **
  • Posts: 59
  • A Bright, Humanist, Skeptic
Re: upgrade path stuck with errors, seg faults, sudo sparky-aptus
« Reply #6 on: April 29, 2015, 04:04:20 pm »
sudo catfish
full text search of /var/log
for siduct
dpkg.log
...
2015-04-14 13:40:05 status half-configured lxpolkit:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:05 status half-installed lxpolkit:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:05 status config-files lxpolkit:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:05 status config-files lxpolkit:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:05 status config-files lxpolkit:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:05 status not-installed lxpolkit:i386 <none>
..
2015-04-14 13:40:08 status installed lxsession-edit:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:08 status installed lxsession-edit:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:08 status installed lxsession-edit:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:08 status installed lxsession-edit:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:08 status installed lxsession-edit:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:08 status installed lxsession-edit:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:08 status installed lxsession-edit:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:08 status installed lxsession-edit:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:08 status installed lxsession-edit:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:09 remove lxsession-edit:i386 0.4.9.2-1+siduction2 <none>
2015-04-14 13:40:09 status half-configured lxsession-edit:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:09 status half-installed lxsession-edit:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:09 status triggers-pending mime-support:all 3.58
2015-04-14 13:40:09 status triggers-pending desktop-file-utils:i386 0.22-1
2015-04-14 13:40:09 status half-installed lxsession-edit:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:09 status config-files lxsession-edit:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:09 status config-files lxsession-edit:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:09 status config-files lxsession-edit:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:09 status not-installed lxsession-edit:i386 <none>
...
2015-04-14 13:40:11 upgrade lxsession:i386 0.4.9.2-1+siduction2 0.5.1-2
2015-04-14 13:40:11 status half-configured lxsession:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:11 status unpacked lxsession:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:11 status half-installed lxsession:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:11 status unpacked lxsession:i386 0.4.9.2-1+siduction2
2015-04-14 13:40:11 status installed lxsession:i386 0.4.9.2-1+siduction2
...


history.log

Start-Date: 2015-04-14  13:35:34
Commandline: apt-get dist-upgrade
...
 lxpolkit:i386 (0.4.9.2-1+siduction2), lxsession-edit:i386 (0.4.9.2-1+siduction2), libmetacity-private1:i386 (3.12.0-2)
Error: Sub-process /usr/bin/dpkg returned an error code (1)
End-Date: 2015-04-14  13:40:11
XMPP: galen@jabber.org
PGP/GPG: C938FD97

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1456
    • SparkyLinux
Re: upgrade path stuck with errors, seg faults, sudo sparky-aptus
« Reply #7 on: April 29, 2015, 04:07:04 pm »
To make it clear, show me outputs of 3 commands:
Code: [Select]
apt-cache policy lxde*
apt-cache policy lxsession*
apt-cache policy lxpolkit*
Nothing is easy as it looks.

Offline galen

  • Jr. Member
  • **
  • Posts: 59
  • A Bright, Humanist, Skeptic
Re: upgrade path stuck with errors, seg faults, sudo sparky-aptus
« Reply #8 on: April 29, 2015, 04:18:02 pm »
lxde

live-image-lxde-desktop:
  Installed: (none)
  Candidate: 4.0.1-1
  Version table:
     4.0.1-1 0
        500 http://ftp.debian.org/debian/ testing/main i386 Packages
lxde-icon-theme:
  Installed: 0.5.1-1
  Candidate: 0.5.1-1
  Version table:
 *** 0.5.1-1 0
        500 http://ftp.debian.org/debian/ testing/main i386 Packages
        100 /var/lib/dpkg/status
sparky-center-lxde:
  Installed: 0.2.2
  Candidate: 0.2.6-1
  Version table:
     0.2.6-1 0
        500 http://sparkylinux.org/repo/ testing/main i386 Packages
 *** 0.2.2 0
        100 /var/lib/dpkg/status
education-desktop-lxde:
  Installed: (none)
  Candidate: 1.812
  Version table:
     1.812 0
        500 http://ftp.debian.org/debian/ testing/main i386 Packages
lxde-core:
  Installed: 6
  Candidate: 6
  Version table:
 *** 6 0
        500 http://ftp.debian.org/debian/ testing/main i386 Packages
        100 /var/lib/dpkg/status
lxde-common:
  Installed: 0.99.0-1
  Candidate: 0.99.0-1
  Version table:
 *** 0.99.0-1 0
        500 http://ftp.debian.org/debian/ testing/main i386 Packages
        100 /var/lib/dpkg/status
lxde:
  Installed: 6
  Candidate: 6
  Version table:
 *** 6 0
        500 http://ftp.debian.org/debian/ testing/main i386 Packages
        100 /var/lib/dpkg/status
lxde-settings-daemon:
  Installed: (none)
  Candidate: (none)
  Version table:
task-lxde-desktop:
  Installed: (none)
  Candidate: 3.31
  Version table:
     3.31 0
        500 http://ftp.debian.org/debian/ testing/main i386 Packages
lxdvdrip:
  Installed: (none)
  Candidate: 1.77-dmo1
  Version table:
     1.77-dmo1 0
        500 http://www.deb-multimedia.org/ testing/main i386 Packages

lxpolkit

lxpolkit:
  Installed: (none)
  Candidate: 0.4.9.2-1+siduction2
  Version table:
     0.4.9.2-1+siduction2 0
        500 http://sparkylinux.org/repo/ testing/main i386 Packages

lxsession
lxsession-default-apps:
  Installed: (none)
  Candidate: (none)
  Version table:
lxsession:
  Installed: 0.4.9.2-1+siduction2
  Candidate: 0.5.1-2
  Version table:
     0.5.1-2 0
        500 http://ftp.debian.org/debian/ testing/main i386 Packages
 *** 0.4.9.2-1+siduction2 0
        100 /var/lib/dpkg/status
lxsession-lite:
  Installed: (none)
  Candidate: (none)
  Version table:
lxsession-logout:
  Installed: 0.4.9.2-1+siduction2
  Candidate: 0.4.9.2-1+siduction2
  Version table:
 *** 0.4.9.2-1+siduction2 0
        100 /var/lib/dpkg/status
lxsession-dbg:
  Installed: (none)
  Candidate: 0.5.1-2
  Version table:
     0.5.1-2 0
        500 http://ftp.debian.org/debian/ testing/main i386 Packages
lxsession-data:
  Installed: 0.4.9.2-1+siduction2
  Candidate: 0.4.9.2-1+siduction2
  Version table:
 *** 0.4.9.2-1+siduction2 0
        500 http://sparkylinux.org/repo/ testing/main i386 Packages
        100 /var/lib/dpkg/status
lxsession-edit:
  Installed: (none)
  Candidate: (none)
  Version table:
XMPP: galen@jabber.org
PGP/GPG: C938FD97

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1456
    • SparkyLinux
Re: upgrade path stuck with errors, seg faults, sudo sparky-aptus
« Reply #9 on: April 29, 2015, 04:26:55 pm »
Now it's clear, you still have 3 siduction's packages.
Leave lxde desktop - switch to openbox or any and run:
Code: [Select]
apt-get remove lxsession lxsession-logout lxsession-data
even the operation will remove some lxde packages.
Just remember or right it down what will be removed, such as lxde, sparky-center-lxde, etc.
After removing run:
Code: [Select]
apt-get update
apt-get install lxde
and missing lxde packages.
Then (recommended):
Code: [Select]
apt-get dist-upgrade
apt-get install -f
reboot
Nothing is easy as it looks.

Offline galen

  • Jr. Member
  • **
  • Posts: 59
  • A Bright, Humanist, Skeptic
Re: upgrade path stuck with errors, seg faults, sudo sparky-aptus
« Reply #10 on: April 29, 2015, 04:31:09 pm »
it won't work because
Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution)

sudo apt-get -f install
always fails,
nothing can proceed

is the package cache corrupt ?
/var/cache/apt
XMPP: galen@jabber.org
PGP/GPG: C938FD97

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1456
    • SparkyLinux
Re: upgrade path stuck with errors, seg faults, sudo sparky-aptus
« Reply #11 on: April 29, 2015, 04:34:47 pm »
The command:
Code: [Select]
apt-get install -fwill check is everything installed fine and help you to fix if is a problem.
The command is implemented in sparky-aptus and sparky-aptus-upgrade and works fine.
« Last Edit: April 29, 2015, 04:37:44 pm by pavroo »
Nothing is easy as it looks.

Offline galen

  • Jr. Member
  • **
  • Posts: 59
  • A Bright, Humanist, Skeptic
Re: upgrade path stuck with errors, seg faults, sudo sparky-aptus
« Reply #12 on: April 29, 2015, 06:15:51 pm »
Do you want to continue? [Y/n]
Reading changelogs... Done
(Reading database ... 139042 files and directories currently installed.)
Preparing to unpack .../lxsession_0.5.1-2_i386.deb ...
Unpacking lxsession (0.5.1-2) over (0.4.9.2-1+siduction2) ...
dpkg: error processing archive /var/cache/apt/archives/lxsession_0.5.1-2_i386.deb (--unpack):
 trying to overwrite '/usr/share/locale/sr@latin/LC_MESSAGES/lxsession.mo', which is also in package lxsession-data 0.4.9.2-1+siduction2
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/lxsession_0.5.1-2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
XMPP: galen@jabber.org
PGP/GPG: C938FD97

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1456
    • SparkyLinux
Re: upgrade path stuck with errors, seg faults, sudo sparky-aptus
« Reply #13 on: April 29, 2015, 06:19:35 pm »
You still haven't removed siduction's packages as I said before.
Nothing is easy as it looks.

Offline galen

  • Jr. Member
  • **
  • Posts: 59
  • A Bright, Humanist, Skeptic
Re: upgrade path stuck with errors, seg faults, sudo sparky-aptus
« Reply #14 on: April 30, 2015, 02:22:52 pm »
you haven't read what I reported.
my report clearly states the upgrade path is broken badly.

please don't be like many other distros like Linux Mint Debian Edition who refuse to fix fatal upgrade bugs.
XMPP: galen@jabber.org
PGP/GPG: C938FD97